Share via


Web Apps - Analyze Custom Hostname Slot

Description for Analyze a custom hostname.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/slots/{slot}/analyzeCustomHostname?api-version=2025-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/slots/{slot}/analyzeCustomHostname?api-version=2025-05-01&hostName={hostName}

URI Parameters

Name In Required Type Description
name
path True

string

Name of the app.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

slot
path True

string

Name of the deployment slot. By default, this API returns the production slot.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

hostName
query

string

Custom hostname.

Responses

Name Type Description
200 OK

CustomHostnameAnalysisResult

Azure operation completed successfully.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Analyze custom hostname for slot

Sample request

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/sites/sitef6141/slots/staging/analyzeCustomHostname?api-version=2025-05-01

Sample response

{
  "name": "sitef6141/staging",
  "type": "Microsoft.Web/sites/stagings",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/sites/sitef6141/slots/staging",
  "properties": {
    "cNameRecords": [
      "siteog.azurewebsites.net"
    ],
    "conflictingAppResourceId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/sites/siteog/slots/qa",
    "customDomainVerificationFailureInfo": {
      "code": "07198",
      "message": "Custom domain verification failed on conflicting CNAMEs."
    },
    "customDomainVerificationTest": "Passed",
    "hasConflictAcrossSubscription": true,
    "hasConflictOnScaleUnit": false,
    "isHostnameAlreadyVerified": true
  }
}

Definitions

Name Description
CustomHostnameAnalysisResult

Custom domain analysis.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

DnsVerificationTestResult

DNS verification test result.

ErrorEntity

Body of the error response returned from the API.

CustomHostnameAnalysisResult

Custom domain analysis.

Name Type Description
id

string

Resource Id.

kind

string

Kind of resource.

name

string

Resource Name.

properties.aRecords

string[]

A records controller can see for this hostname.

properties.alternateCNameRecords

string[]

Alternate CName records controller can see for this hostname.

properties.alternateTxtRecords

string[]

Alternate TXT records controller can see for this hostname.

properties.cNameRecords

string[]

CName records controller can see for this hostname.

properties.conflictingAppResourceId

string

Name of the conflicting app on scale unit if it's within the same subscription.

properties.customDomainVerificationFailureInfo

ErrorEntity

Raw failure information if DNS verification fails.

properties.customDomainVerificationTest

DnsVerificationTestResult

DNS verification test result.

properties.hasConflictAcrossSubscription

boolean

true if there is a conflict across subscriptions; otherwise, false.

properties.hasConflictOnScaleUnit

boolean

true if there is a conflict on a scale unit; otherwise, false.

properties.isHostnameAlreadyVerified

boolean

true if hostname is already verified; otherwise, false.

properties.txtRecords

string[]

TXT records controller can see for this hostname.

type

string

Resource type.

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DnsVerificationTestResult

DNS verification test result.

Value Description
Passed
Failed
Skipped

ErrorEntity

Body of the error response returned from the API.

Name Type Description
code

string

Basic error code.

details

ErrorEntity[]

Error Details.

extendedCode

string

Type of error.

innerErrors

ErrorEntity[]

Inner errors.

message

string

Any details of the error.

messageTemplate

string

Message template.

parameters

string[]

Parameters for the template.

target

string

The error target.